프로젝트 삭제
curl --request DELETE \
--url https://api.edicus.io/v2/projects/{project_id} \
--header 'edicus-api-key: <api-key>' \
--header 'edicus-uid: <edicus-uid>'import requests
url = "https://api.edicus.io/v2/projects/{project_id}"
headers = {
"edicus-uid": "<edicus-uid>",
"edicus-api-key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'edicus-uid': '<edicus-uid>', 'edicus-api-key': '<api-key>'}
};
fetch('https://api.edicus.io/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/projects/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"edicus-api-key: <api-key>",
"edicus-uid: <edicus-uid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/projects/{project_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("edicus-uid", "<edicus-uid>")
req.Header.Add("edicus-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.edicus.io/v2/projects/{project_id}")
.header("edicus-uid", "<edicus-uid>")
.header("edicus-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/projects/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["edicus-uid"] = '<edicus-uid>'
request["edicus-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{}프로젝트
프로젝트 삭제
프로젝트를 삭제합니다. 상태가 editing인 프로젝트(상태가 기록되지 않은 프로젝트 포함)만 삭제할 수 있습니다. 그 밖의 상태면 409 project_not_editing입니다.
주문 완료된 프로젝트는 보관 기간(3~4주)이 지나면 자동으로 삭제됩니다.
성공하면 빈 객체 {}를 반환합니다.
DELETE
/
v2
/
projects
/
{project_id}
프로젝트 삭제
curl --request DELETE \
--url https://api.edicus.io/v2/projects/{project_id} \
--header 'edicus-api-key: <api-key>' \
--header 'edicus-uid: <edicus-uid>'import requests
url = "https://api.edicus.io/v2/projects/{project_id}"
headers = {
"edicus-uid": "<edicus-uid>",
"edicus-api-key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'edicus-uid': '<edicus-uid>', 'edicus-api-key': '<api-key>'}
};
fetch('https://api.edicus.io/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/projects/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"edicus-api-key: <api-key>",
"edicus-uid: <edicus-uid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/projects/{project_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("edicus-uid", "<edicus-uid>")
req.Header.Add("edicus-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.edicus.io/v2/projects/{project_id}")
.header("edicus-uid", "<edicus-uid>")
.header("edicus-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/projects/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["edicus-uid"] = '<edicus-uid>'
request["edicus-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{}Authorizations
모션원에서 발급받는 API 키입니다. 외부에 유출되지 않도록 각별히 주의합니다.
Headers
고객사가 사용자에게 부여한 고유 id입니다. 1~70자이고 a-z, A-Z, 0-9, _, !, @, -, +, =만 쓸 수 있습니다. 없거나 규칙을 어기면 400 invalid_request입니다.
Required string length:
1 - 70Pattern:
^[a-zA-Z0-9_!@\-+=]+$Path Parameters
프로젝트 id
Minimum string length:
1Response
삭제했습니다. body는 빈 객체입니다.
빈 객체입니다.